<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Forum
 * @package    QuickTalk
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.9.0.3 build:20081001
 * @link       http://www.qt-cute/doc/package/qtf
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_lang_adm.inc'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$strVersion='v1.9';
$oVIP->selfurl = 'qtfm_antispam_install.php';
$oVIP->selfname = 'Installation module ANTISPAM '.$strVersion;

$bStep0 = true;
$bStep1 = true;
$bStep2 = true;
if ( isset($_SESSION[QT]['m_antispam']) ) unset($_SESSION[QT]['m_antispam']);
if ( isset($_SESSION[QT]['m_antispam_conf']) ) unset($_SESSION[QT]['m_antispam_conf']);

// STEP 0: check version

$strQTF = QTFVERSION; if ( substr(QTFVERSION,0,1)=='v') $strQTF = substr(QTFVERSION,1);
$arrQTF = explode('.',$strQTF);
if ( intval($arrQTF[0])<1 ) $qtf_error="Your QuickTalk version is $strQTF. Please, upgrade to QuickTalk 1.9 before installing this module...";
if ( intval($arrQTF[1])<7 ) $qtf_error="Your QuickTalk version is $strQTF. Please, upgrade to QuickTalk 1.9 before installing this module...";
if ( !empty($qtf_error) ) $bStep0 = false;

// STEP 1

if ( empty($qtf_error) )
{
  $strFile = 'qtfm_antispam.php';
  if ( !file_exists($strFile) ) $qtf_error="Missing file: $strFile<br/>This module cannot be used.";
  $strFile = 'qtfm_antispam_adm.php';
  if ( !file_exists($strFile) ) $qtf_error="Missing file: $strFile<br/>This module cannot be used.";
  $strFile = 'qtfm_antispam_admip.php';
  if ( !file_exists($strFile) ) $qtf_error="Missing file: $strFile<br/>This module cannot be used.";
  $strFile = 'qtfm_antispam_uninstall.php';
  if ( !file_exists($strFile) ) $qtf_error="Missing file: $strFile<br/>This module cannot be used.";
  if ( !empty($qtf_error) ) $bStep1 = false;
}

// INSTALL

if ( empty($qtf_error) )
{
  $oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_antispam" OR param="m_antispam" OR param="m_antispam_conf"');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("module_antispam","Antispam","1")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("m_antispam","0","1")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("m_antispam_conf","V 2.0 3","1")');
  $_SESSION[QT]['module_antispam'] = 'Antispam';
  $_SESSION[QT]['m_antispam'] = 0;
  $_SESSION[QT]['m_antispam_conf'] = 'V 2.0 3';
}

// STEP 2

if ( empty($qtf_error) )
{
  $intHandle = fopen('avatar/qtfm_ip.inc','w');
  if ( !$intHandle ) $qtf_error="Impossible to create the file [avatar/qtfm_ip.inc]. Check that the folder /avatar/ is writable (chmod 777).";
}
if ( empty($qtf_error) )
{
  if ( fwrite($intHandle,"<?php\n\$arrIp=array();\n?>")===FALSE ) $qtf_error='Impossible to write in the file [avatar/qtfm_ip.inc].';
  fclose($intHandle);
}
if ( !empty($qtf_error) ) $bStep2 = false;

// --------
// Html start
// --------

include('qtf_adm_p_header.php');

echo '<h1>Installation module ANTISPAM ',$strVersion,'</h1>';

if ( !$bStep0 )
{
  echo '<p class="error">',$qtf_error,'</p>';
  include('qtf_adm_p_footer.php');
  exit;
}

echo '<h2>Checking components</h2>';
if ( !$bStep1 )
{
  echo '<p class="error">',$qtf_error,'</p>';
  include('qtf_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';

echo '<h2>Database settings</h2>';
echo '<p>Ok</p>';

echo '<h2>Creating file for IP</h2>';
if ( !$bStep2 )
{
  echo '<p class="error">',$qtf_error,'</p>';
}
echo '<p>Ok</p>';

echo '<h2>Installation completed</h2>';

echo '<p><a href="qtfm_antispam_adm.php">Configure...</a></p>';

// --------
// Html end
// --------

include('qtf_adm_p_footer.php');

?>
